Summary:	Fast implementation of the Cassowary constraint solver
Summary(pl.UTF-8):	Szybka implementacja rozwiązywania układu ograniczeń metodą Cassowary
Name:		python3-kiwisolver
Version:	1.4.8
Release:	1
License:	BSD
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/kiwisolver/
Source0:	https://files.pythonhosted.org/packages/source/k/kiwisolver/kiwisolver-%{version}.tar.gz
# Source0-md5:	2eb55aab42272292a732411bb6c79dee
URL:		https://github.com/nucleic/kiwi
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	python3-cppy >= 1.3.0
BuildRequires:	python3-devel >= 1:3.10
BuildRequires:	python3-setuptools >= 1:61.2
BuildRequires:	python3-setuptools_scm >= 3.4.3
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.10
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Kiwi is an efficient C++ implementation of the Cassowary constraint
solving algorithm. Kiwi is an implementation of the algorithm based on
the seminal Cassowary paper. It is *not* a refactoring of the original
C++ solver. Kiwi has been designed from the ground up to be
lightweight and fast. Kiwi ranges from 10x to 500x faster than the
original Cassowary solver with typical use cases gaining a 40x
improvement. Memory savings are consistently > 5x.

In addition to the C++ solver, Kiwi ships with hand-rolled Python
bindings.

%description -l pl.UTF-8
Kiwi to napisana w C++, wydajna implementacja algorytmu rozwiązywania
układu ograniczeń Cassowary. Kiwi to implementacja oparta na
nowatorskim dokumencie Cassowary, nie refaktor oryginalnej
implementacji w C++. Kiwi zostało od początku napisane z myślą o
lekkości i szybkości; jest od 10x do 500x szybsze od oryginalnej
implementacji, w typowych przypadkach osiągając 40-krotne
przyspieszenie. Oszczędność pamięci jest pięciokrotna.

Poza kodem w C++ Kiwi zawiera ręcznie napisane wiązania Pythona.

%prep
%setup -q -n kiwisolver-%{version}

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rst releasenotes.rst
%dir %{py3_sitedir}/kiwisolver
%attr(755,root,root) %{py3_sitedir}/kiwisolver/_cext.cpython-*.so
%attr(755,root,root) %{py3_sitedir}/kiwisolver/_cext.pyi
%attr(755,root,root) %{py3_sitedir}/kiwisolver/*.py
%attr(755,root,root) %{py3_sitedir}/kiwisolver/py.typed
%attr(755,root,root) %{py3_sitedir}/kiwisolver/__pycache__
%{py3_sitedir}/kiwisolver-%{version}-py*.egg-info
%changelog
* Sun Mar 16 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-kiwisolver.git;a=log;h=master

* Sun Mar 16 2025 Jakub Bogusz <qboosh@pld-linux.org> 1091434
- python-kiwisolver.spec updated to 1.4.8 for python 3.10+

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> db3cf32
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 8a9a05a
- python 3.13 rebuild

* Sun Jan 01 2023 Jakub Bogusz <qboosh@pld-linux.org> b9fc11e
- python2 note

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 27f73e2
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> edb95d3
- Release 6 (by relup.sh)

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 058d128
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> c73c6a4
- rebuild with python 3.10

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 3f04427
- rebuild with separate debuginfo build-ids

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 22aeafd
- release 2 (by relup.sh)

* Tue Mar 31 2020 Jakub Bogusz <qboosh@pld-linux.org> a8d457f
- updated to 1.1.0

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 99494e0
- rebuild with python 3.8
- release 2 (by relup.sh)

* Wed Jul 25 2018 Jakub Bogusz <qboosh@pld-linux.org> c72225a
- new

